#sh
#
# (uncomment the next line to run in debug mode)
# set -x
#
#ipssendcheck ()
# check to see if ipssend exists & is executable
if [ ! -f ipssend ] || [ ! -x ipssend ]
then
  echo "\nThe file \"ipssend\" could not be found or is not executable."
  echo "Please verify that ipssend is located in the same directory"
  echo "as this dumplog file and permissions are set using the"
  echo "\"chmod\" command.  Contact your system administrator."
  exit 1
fi

#numcardscheck ()
# check number of adapters found
numcards=`./ipssend getstatus 0 | grep Found | cut -c7`
if [ "$numcards" -eq 0 ]
then
  echo "\n\"ipssend\" could not detect a Serveraid controller."
  echo "Check to make sure a Serveraid controller is installed."
  exit 1
fi 

clear
echo  "\nServeraid Clearlog Script for SCO OpenServer, ver 3.0"
echo "Found $numcards Serveraid controller(s)"

echo "\nThis script file will clear the Serveraid logs on all controllers."
echo "It should only be run when directed by IBM Technical support.  This"
echo "action will not harm the controller, but will ERASE all logs of any" 
echo "past failure, making failure analysis of the Serveraid subsystem"
echo "impossible.   Do not continue unless instructed by Support."

#
yesno=""

  echo  "\nPress the <DEL> key to quit.  Press <Enter> to continue... \c"
  read yesno

# START THE LOOP

echo  "\nErasing all Serveraid event logs\n"

count=1
until [ "$count" -gt "$numcards" ] 
do

./ipssend  eraseevent  $count  all > /dev/null 

echo  "Serveraid Adapter #$count event logs erased successfully."

count=`expr $count + 1`
done

# end loop

exit 0
